/*****************************************************************************

 JOCO's ZX spectrum emulator.
 z80cpu.h: header file for the variables/functions implemented in the
           zx_hw.c 

 see the file read.me for details/legal

******************************************************************************/

#ifndef _ZXSPHW_HEADER
#define _ZXSPHW_HEADER

#ifndef _JOCOTYPES
#define _JOCOTYPES     
typedef unsigned char  byte;
typedef unsigned short word;
typedef unsigned int  dword;
#endif
typedef unsigned int  RGBval;

extern word DescA000;
extern int  SAddrTab[6144];
extern int  AAddrTab[ 768];

extern byte gfbits[];
extern int  gfxb[];
extern byte ColorConvTab[];
extern byte PCKBD[256];

void SpectrumScreen();
void PcScreen();
void Sput(int Addr, int Data);
void Aput(int Addr, int Color);
void RefreshScreen();

void InstallTimerISR();
void UninstallTimerISR();
void InstallKeyboardISR();
void UninstallKeyboardISR();

void CalcScrnAddr();
void CalcAttrAddr();

#endif
